
# AbstractController::list 

### Usage

> ModelIterator AbstractController::list(ArmorUserInterface $user, [ int $limit = '20' ], [ int $offset = '0' ])

### Description

> List

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
user | Yes | ArmorUserInterface |
limit | No | int |
offset | No | int |

### Return
> ModelIterator 
### See Also

* [create()](create)
* [markRead()](markread)


